Bug 6126 - Slip print doesn't work on Webkit based browsers
Summary: Slip print doesn't work on Webkit based browsers
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-07 15:27 UTC by Tomás Cohen Arazi
Modified: 2012-10-25 23:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Wrap print then close js in a function and wait for the page to load (onload) (1.05 KB, patch)
2011-04-07 16:18 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Follow up, for other files (2.88 KB, patch)
2011-04-07 18:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[pre-tt master] Wrap print;close in a function (3.21 KB, patch)
2011-04-12 10:54 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[tt] Wrap print;close in a function (2.97 KB, patch)
2011-04-12 11:02 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Signed-off patch (3.05 KB, patch)
2011-04-12 12:46 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Proposed patch [3.2.x] (1.17 KB, patch)
2011-04-18 14:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2011-04-07 15:27:55 UTC
Steps to reproduce:

1) Go to a patron's Check out tab
2) Select 'Print slip' or 'Quick slip'

Expected behaviour: print dialog for the new page.
Sympthom: window opens and instantly closes without the print dialog.

Tested to work on:
- Firefox 4 (Ubuntu)
- Internet Explorer 8 (Windows XP)

Tested not to work on:
- Chromium (Ubuntu)
- Chrome (Ubuntu)
- Safari (cait's Mac?)
- Rekonq 0.6.1 (Ubuntu)

On rekonq it returns an empty page.
Comment 1 Tomás Cohen Arazi 2011-04-07 16:18:04 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2011-04-07 18:09:55 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2011-04-10 15:32:52 UTC
This bug makes patches for bug 4389 work on webkit-based browsers too. Once this is pushed it should be noted in 4389 so testers can recheck.
Comment 4 Chris Cormack 2011-04-11 21:09:30 UTC
Id love if someone could rebase this on TT so I can apply them
Comment 5 Tomás Cohen Arazi 2011-04-12 10:54:22 UTC
Created attachment 3890 [details] [review]
[pre-tt master] Wrap print;close in a function
Comment 6 Tomás Cohen Arazi 2011-04-12 11:02:22 UTC Comment hidden (obsolete)
Comment 7 Jared Camins-Esakov 2011-04-12 12:46:47 UTC
Created attachment 3896 [details] [review]
Signed-off patch

Note that the unsquashed version for HTML::Template::Pro has already been signed off as well.
Comment 8 Chris Cormack 2011-04-13 00:02:04 UTC
Patch for master pushed
Comment 9 Tomás Cohen Arazi 2011-04-18 14:25:46 UTC
Created attachment 3943 [details] [review]
Proposed patch [3.2.x]
Comment 10 Liz Rea 2011-04-27 16:49:19 UTC
Works a treat in 3.4.